//
// PovRay scene file for a simple copper cauldron
//
// Author:   Hj. Malthaner
// Email:    hansjoerg.malthaner@gmx.de
// Creation: 2003/12/21
// Update:   2016/03/02
//
// Web:      http://opengameart.org/users/varkalandar
//
// This file is available under the GNU general
// public license v2 or newer.
//
// http://www.gnu.org/licenses/gpl-2.0.html
//

global_settings 
{
	max_trace_level 35
}

#declare Cam1 = 
camera 
{
 	orthographic
	location < 2.5, 2.5*0.82, 2.5 >*1.4
	look_at < 0, 0, 0 >
}            

camera 
{ 
	Cam1 
}          

light_source 
{ 
	< 2.5*20, 100, 2.5*10 >
	color rgb < 1, 1, 1 > 
}

// sky sphere

sphere 
{
	<0,0,0>, 10000

	hollow

	pigment 
  {
    color rgb 1
	}
}	

#declare FM = 3.5;

#declare FLOOR = 
box 
{
	<-1*FM, -0.0, -1*FM>,
	<1*FM, -0.3, 1*FM>

	texture 
  {
		pigment 
    {
      color rgb 0.3
    }

		finish 
    {
			ambient 0.2
		}
	}
}


#declare TEX_METAL = 
texture 
{
	pigment 
  { 
    bozo
    color_map
    {
      [0.0 color rgb <0.7, 0.4, 0.3>]
      [1.0 color rgb <0.9, 0.7, 0.6>]
    }
    
    scale <0.1, 0.2, 0.1>
	}

	normal 
  {
		bumps 0.1
		scale 0.2
	}

  finish 
  {
    ambient 0.1
    brilliance 2
    diffuse 0.9
    metallic
    phong 0.3
    phong_size 80
    specular 0.1
    roughness 0.15
    reflection 0.1
	}
}


#declare SHAPE = 
union 
{
	sphere 
  {
		<0,0,0> 1.0
	}

	cone 
  {
		<0,1,0> 0.9
		<0,0,0> 0.5
	}
}

#declare CAULDRON = 
union 
{
	difference 
  {
		object 
    {
			SHAPE
		}

		object 
    {
			SHAPE
			scale 0.96
		}

		plane {
			<0,-1,0> 0
			translate <0, 0.95, 0>
		}
	}

  torus 
  {
      0.88, 0.02
      translate <0, 0.95, 0>
  }

	sphere 
  {
		<0, 0, 0> 0.3
		translate <0.6, -0.8, 0>
		rotate <0, 30, 0>
	}	

	sphere 
  {
		<0, 0, 0> 0.3
		translate <0.6, -0.8, 0>
		rotate <0, 150, 0>
	}	

	sphere 
  {
		<0, 0, 0> 0.3
		translate <0.6, -0.8, 0>
		rotate <0, 270, 0>
	}	

	translate <0, 1.1, 0>

	texture { TEX_METAL	}
}


union 
{
	object 
  {
		CAULDRON

		scale 1.0

		rotate <0, -90, 0>
	}

	object 
  {
		FLOOR
	}
    
	translate <0, -1, 0>
}
